org.apache.ignite.internal.pagemem.wal.record

## Enum StoreOperationRecord.StoreOperationType

- java.lang.Object
- - java.lang.Enum<StoreOperationRecord.StoreOperationType>
  - - org.apache.ignite.internal.pagemem.wal.record.StoreOperationRecord.StoreOperationType

All Implemented Interfaces:
  Serializable, Comparable<StoreOperationRecord.StoreOperationType>

Enclosing class:
  StoreOperationRecord

    public static enum StoreOperationRecord.StoreOperationType
    extends Enum<StoreOperationRecord.StoreOperationType>

Store operation type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ENTRY_CREATE`
`INDEX_PUT`
`INDEX_REMOVE`

### Method Summary

Methods
`static StoreOperationRecord.StoreOperationType` `fromOrdinal(int ord)`
`static StoreOperationRecord.StoreOperationType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StoreOperationRecord.StoreOperationType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ENTRY_CREATE

    public static final StoreOperationRecord.StoreOperationType ENTRY_CREATE

#### INDEX_PUT

    public static final StoreOperationRecord.StoreOperationType INDEX_PUT

#### INDEX_REMOVE

    public static final StoreOperationRecord.StoreOperationType INDEX_REMOVE

### Method Detail

#### values

    public static StoreOperationRecord.StoreOperationType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StoreOperationRecord.StoreOperationType c : StoreOperationRecord.StoreOperationType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StoreOperationRecord.StoreOperationType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    public static StoreOperationRecord.StoreOperationType fromOrdinal(int ord)

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017